Index: /DCWoRMS/trunk/build/classes/schedframe/events/TaskEvent.java
===================================================================
--- /DCWoRMS/trunk/build/classes/schedframe/events/TaskEvent.java	(revision 477)
+++ /DCWoRMS/trunk/build/classes/schedframe/events/TaskEvent.java	(revision 539)
@@ -7,8 +7,8 @@
 public class TaskEvent {
 
-	protected WorkloadUnit<?> task;
+	protected WorkloadUnit task;
 	protected String resourceName;
 	
-	public TaskEvent(WorkloadUnit<?> task,
+	public TaskEvent(WorkloadUnit task,
 			 String resourceName) {
 		super();
@@ -17,5 +17,5 @@
 	}
 	
-	public WorkloadUnit<?> getTask() {
+	public WorkloadUnit getTask() {
 		return task;
 	}
Index: /DCWoRMS/trunk/build/classes/schedframe/Property.java
===================================================================
--- /DCWoRMS/trunk/build/classes/schedframe/Property.java	(revision 477)
+++ /DCWoRMS/trunk/build/classes/schedframe/Property.java	(revision 539)
@@ -3,7 +3,7 @@
 import java.util.ArrayList;
 
-import schemas.StringValueWithUnit;
+import schemas.StringValueWithUnitType;
 
-public class Property extends ArrayList<StringValueWithUnit>{
+public class Property extends ArrayList<StringValueWithUnitType>{
 
 	/**
Index: /DCWoRMS/trunk/build/classes/org/joda/time/VCMilisProvider.java
===================================================================
--- /DCWoRMS/trunk/build/classes/org/joda/time/VCMilisProvider.java	(revision 477)
+++ /DCWoRMS/trunk/build/classes/org/joda/time/VCMilisProvider.java	(revision 539)
@@ -39,5 +39,4 @@
 		long vc = Math.round(Sim_system.clock());
 		//System.out.println("SIMJAVA TIME: "+Sim_system.clock());
-		//System.out.println("CLOUD TIME: "+GSSIM.clock());
 		
 		// change virtual seconds to milliseconds
